Skip to main content
`Ctrl`+`K`

# PetscPartitionerViewFromOptions

View a `PetscPartitioner` object based on options in the options database

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerViewFromOptions(PetscPartitioner A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscPartitioner` object

- obj - Optional `PetscObject` that provides the options prefix

- name - command line option

## Note

See `PetscObjectViewFromOptions()` for the various forms of viewers that may be used

## See Also

`PetscPartitionerView()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/dm/partitioner/interface/partitioner.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages